View Issue Details

IDProjectCategoryView StatusLast Update
0000240Adventure PHP FrameworkBugpublic2018-08-25 14:45
ReporterParicAssigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.1 
Target Version3.0Fixed in Version3.0 
Summary0000240: Inputfilter von actions interpretiert eine "0" als fälschlicher Weise als "false"
Descriptionwenn ich per action-URL eine Variable mit dem Wert 0 übergebe, wird diese nicht weitergegeben, sondern ignoriert.

siehe Foren-Eintrag:
http://forum.adventure-php-framework.org/viewtopic.php?f=1&t=5423
Steps To Reproducesiehe den Foreneintrag
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2015-01-09 15:32

administrator   ~0000527

Forum Thread: http://forum.adventure-php-framework.org/viewtopic.php?f=1&t=5423

ChristianAchatz

2015-01-10 14:15

administrator   ~0000528

Im master und release-2.1 branch gefixt. Update kann über folgende URLs bezogen werden:

* Für Release 2.1.1: https://github.com/AdventurePHP/code/archive/release-2.1.zip
* Für Release 3.0: https://github.com/AdventurePHP/code/archive/master.zip

Related Changesets

Import 2018-08-25 14:21:19: master 87c55bf5

2015-01-10 13:53:36

Christian Achatz

Details Diff
ID#240: fixed issue with "0" values not recognized in action input parameters. Affected Issues
0000240
mod - core/filter/ChainedStandardInputFilter.php Diff File

Issue History

Date Modified Username Field Change
2015-01-09 08:31 Paric New Issue
2015-01-09 15:32 ChristianAchatz Note Added: 0000527
2015-01-09 15:32 ChristianAchatz Assigned To => ChristianAchatz
2015-01-09 15:32 ChristianAchatz Status new => assigned
2015-01-10 14:15 ChristianAchatz Note Added: 0000528
2015-01-10 14:16 ChristianAchatz Status assigned => resolved
2015-01-10 14:16 ChristianAchatz Fixed in Version => 3.0
2015-01-10 14:16 ChristianAchatz Resolution open => fixed
2015-01-25 10:28 ChristianAchatz Target Version => 3.0
2015-10-12 12:19 ChristianAchatz Status resolved => closed
2018-08-25 14:45 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 87c55bf5